> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tenbyte.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Info

> Authenticated user can request data-model for themselves.



## OpenAPI

````yaml https://raw.githubusercontent.com/vidinfra/open-api-docs/refs/heads/main/cloud-api.json get /user-resource/user
openapi: 3.0.0
info:
  title: Tenbyte Cloud API
  version: 1.0.0
  description: >-
    API for managing cloud resources like Virtual Machines, Storage, Networks,
    and more on tenbytecloud.com.
servers:
  - url: https://api.tenbytecloud.com/v1
    description: Production server
security:
  - apikey-header-apikey: []
tags:
  - name: User
    description: User profile and SSH key management
  - name: Token
    description: API token management
  - name: Locations
    description: Available data centre locations
  - name: VM
    description: Virtual machine management
  - name: Block Storage
    description: Block storage disk management
  - name: Object Storage
    description: S3-compatible object storage management
  - name: Private networks
    description: Private network management
  - name: Floating IP
    description: Floating IP address management
  - name: Firewall
    description: Firewall management
  - name: Network Load Balancer
    description: Network load balancer management
  - name: Parameters
    description: VM creation parameters and image lists
paths:
  /user-resource/user:
    get:
      tags:
        - User
      summary: Get User Info
      description: Authenticated user can request data-model for themselves.
      operationId: getUserInfo
      responses:
        '200':
          description: User info
          content:
            application/json:
              schema:
                type: object
              example:
                cookie_id: 61b0378574974ae88dbfec0feb9917bc
                id: 8
                last_activity: '2018-02-22 14:18:47'
                name: user@example.com
                profile: null
                profile_data:
                  avatar: https://s.gravatar.com/avatar/bbb
                  created_at: '2018-10-25 11:02:59'
                  email: user@example.com
                  first_name: Cloudia
                  id: 22
                  last_name: Iaas
                  personal_id_number: '123456'
                  phone_number: '+111111111'
                  updated_at: '2021-05-18 11:07:00'
                  user_id: 8
                state: {}
      security:
        - apikey-header-apikey: []
components:
  securitySchemes:
    apikey-header-apikey:
      type: apiKey
      in: header
      name: apikey

````